classification
Title: Python 3.0b3 doesn't start on German Win XP SP3/SP2
Type: behavior Stage:
Components: Windows Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: loewis, pietzcker
Priority: normal Keywords:

Created on 2008-09-09 16:00 by pietzcker, last changed 2009-03-14 01:05 by pitrou. This issue is now closed.

Messages (7)
msg72877 - (view) Author: Tim Pietzcker (pietzcker) Date: 2008-09-09 16:00
I have experienced the exact same thing on two different PCs, one
running WinXP (German, 32bit Intel) SP2, one running SP3: When starting
the Python command line or when trying to run a Python script, I
immediately get the (Windows) error message that python.exe couldn't be
started because it is misconfigured, and I should install it again
(which doesn't help). Uninstalling and going back to 3.0b2 works. The
MD5 checksum of the installer is correct. I'm wondering, though, why the
file size has dropped from 13 to 11 MB.
msg72888 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-09 17:44
Did you install it for all users, or just for yourself?
msg72889 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-09 17:46
Ah, it seems that this installer is lacking the MS CRT. This should be
fixed in the release candidate.
msg72892 - (view) Author: Tim Pietzcker (pietzcker) Date: 2008-09-09 18:26
OK, thanks. I have set it to install for all users, if that's still
relevant. Is there a way to manually install the MS CRT (which version),
so I can use b3 until rc1 comes out?

Thanks,
Tim
msg72912 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-09 21:12
There is a stand-alone installer for it, but I don't have the time to
google for it right now (it was announced in earlier alpha releases,
when the CRT wasn't included - it has "redistributable" in its name).
Notice that this installer is not uninstallable
msg72913 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-09 21:13
Alternatively, you can install 2.6 first.
msg72945 - (view) Author: Tim Pietzcker (pietzcker) Date: 2008-09-10 07:01
Thanks a lot, now it works! The download link is 

http://www.microsoft.com/downloads/details.aspx?FamilyID=9b2da534-3e03-4391-8a4d-074b9f2bc1bf

in case someone else needs it.

Best regards,
Tim
History
Date User Action Args
2009-03-14 01:05:10pitrousetstatus: open -> closed
resolution: out of date
2008-09-10 07:01:55pietzckersetmessages: + msg72945
2008-09-09 21:13:23loewissetmessages: + msg72913
2008-09-09 21:12:48loewissetmessages: + msg72912
2008-09-09 18:26:50pietzckersetmessages: + msg72892
2008-09-09 17:47:00loewissetmessages: + msg72889
2008-09-09 17:44:33loewissetnosy: + loewis
messages: + msg72888
2008-09-09 16:00:54pietzckercreate